.modal-header {
  border-style: none;
  padding-bottom: 0px;
  padding-top: 10px;
  padding-right: 15px;
}

.modal-body {
  border-style: none;
  padding-bottom: 0px;
  padding-top: 0px;
  padding-right: 0px;
  padding-left: 0px;
  /*font-family: Roboto;*/
  /*letter-spacing: 2px;*/
}

.modal-footer {
  border-style: none;
  padding-top: 10px;
  padding-bottom: 20px;
  padding-right: 0px;
  padding-left: 0px;
}

.chck-box {
  padding-top: 2px;
}

.col-titl {
  margin: auto;
  width: auto;
  height: auto;
  padding: 0;
}

.tab-cell-row {
  margin-left: .5rem;
}

.park-row, .unit-row, .cust-row, .cust_reve-row {
  display: none;
  /*height: 30px;*/
}

.btn-group.d-inline-flex {
  margin: 0;
}

.triangle-add, .triangle-rem {
  cursor: pointer;
}

.triangle-rem {
  height: 0;
  width: 0;
  /*border-top-width: 30px;*/
  /*border-bottom-width: 30px;*/
  /*border-left-width: 30px;*/
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
  border-top: 0 solid transparent;
  border-bottom: 20px solid #f86565;
  margin-left: 0px;
}

.triangle-add {
  height: 0;
  width: 0;
  /*border-top-width: 30px;*/
  /*border-bottom-width: 30px;*/
  /*border-left-width: 30px;*/
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
  border-top: 20px solid #37de37;
  border-bottom: 0 solid transparent;
  margin-right: 0px;
  padding-bottom: 0;
}

tr td button.btn {
  font-weight: 600;
  border-radius: 8px;
  font-size: 20px;
  padding-left: 8px;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-right: 8px;
  line-height: normal;
}

input.btn {
  margin-left: auto;
  margin-right: auto;
}

div > button#addRowU, button#addRowP {
  background-color: lightgreen;
  border-radius: 3px 3px 13px 13px;
}

div > button#removeRowU, button#removeRowP {
  background-color: lightcoral;
  border-radius: 3px 3px 13px 13px;
}

button#addRowU, button#removeRowU, button#addRowP, button#removeRowP {
  line-height: normal;
  font-size: 18px;
  font-weight: 600;
  padding-right: 7px;
  padding-left: 7px;
  padding-top: 0px;
  padding-bottom: 0px;
  margin: 0px 1px;
}

.page-content {
  display: flex;
  justify-content: center;
  align-items: center;
  /*min-height: 100vh;*/
  margin: 0;
}

#calculator {
  font-family: Helvetica, sans-serif;
  line-height: 1;
  max-width: 800px;
  background-color: #f7f7f7;
  padding: 10px;
  margin: auto;
  border-radius: 10px;
  border: 1px solid #ccc;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

label {
  font-weight: 500;
}

input[readonly] {
  background-color: #e9e9e9;
  cursor: not-allowed;
}

.section-heading {
  background-color: lightgray;
  padding: 10px;
  border-radius: 5px;
  margin-top: 20px;
  margin-bottom: 10px;
  text-align: center;
}

.mb-3 {
  margin-bottom: 2rem !important;
}

.subsection {
  background-color: lightcoral;
  border-radius: 5px;
  margin-bottom: 0px;
}

.subsection-heading {
  font-weight: bold;
  padding-top: 5px;
  margin-bottom: 5px;
  text-align: center;
  /*font-family: 'Roboto', sans-serif;*/
}

.table {
  margin-bottom: 0;
}

.table-responsive {
  overflow-x: auto;
}

.table > thead > tr > th {
  background-color: #ffc8c8;
  vertical-align: middle;
  text-align: center;
  padding-top: 3px;
}

#calculator > div.total-cashflow-subsection > div > table > thead > tr {
  text-align: center;
}

#calculator > div.total-cashflow-subsection > div > table > thead > tr > th {
  background-color: #dfdfdf;
}

#calculator > div.total-cashflow-subsection > div > table > tbody > tr > td {
  background-color: #dfdfdf;
}

#calculator > div > div.property-total-subsection > div > table > thead > tr > th {
  background-color: #dfdfdf;
}

#calculator > div.mb-3 > div > div.col > div > div > table > thead > tr > th {
  background-color: #dfdfdf;
}

#calculator > div.mb-3 > div > div.col > div > div > table > tbody > tr > td {
  background-color: #dfdfdf;
}

.table > tbody > tr > td {
  width: 4.6rem;
  max-width: 4.6rem;
  vertical-align: middle;
  background-color: #ffc8c8;
}

#calculator > div.subsection > div > table > thead > tr {
  text-align: center;
}

.table > :not(caption) > * > * {
  padding: 1px 4px;
}

.form-label {
  display: inline-block;
  margin-bottom: 3px;
  margin-top: 6px;
}

.income-subsection {
  background-color: lightgreen;
  border-radius: 5px;
  margin-bottom: 20px;
}

.property-total-subsection {
  background-color: lightgray;
  border-radius: 5px;
  margin-top: 20px;
  margin-bottom: 20px;
}

#calculator > div.income-subsection > div > table > thead > tr {
  text-align: center;
}

#calculator > div.income-subsection > div > table > tbody > tr > td {
  background-color: #c1fdc1;
  /*padding-top: 0;*/
  /*padding-bottom: 0;*/
}

#calculator > div.income-subsection > div > table > thead > tr > th {
  background-color: #c1fdc1;
}

.total-cashflow-subsection {
  background-color: lightgray;
  border-radius: 5px;
}

.text-red {
  color: red;
}

.calctooltip {
  font-size: 12px;
  font-weight: bold;
}

.calctooltip2 {
  font-size: 12px;
  /*vertical-align: top;*/
}

@media (max-width: 650px) {
  #calculator > div.mb-3 > div {
    margin-left: -10px;
    margin-right: -10px;
  }
}

@media (max-width: 650px) {
  #calculator > div.mb-3 > div > div.col {
    padding-left: 0px;
    padding-right: 0px;
  }
}

@media (max-width: 650px) {
  .subsection, .income-subsection, .total-cashflow-subsection {
    margin-left: -10px;
    margin-right: -10px;
  }
}

.tooltip {
  --bs-tooltip-opacity: 1;
}

.padr {
  padding-right: 1rem;
}

.padr2 {
  padding-right: 0rem;
}

@media (min-width: 500px) {
  .padr {
    padding-right: 1.6rem;
  }
}

@media (min-width: 576px) {
  .padr {
    padding-right: 1.6rem;
  }
}

@media (min-width: 732px) {
  .padr {
    padding-right: 3.6rem;
  }
}

@media (min-width: 560px) {
  .padr2 {
    padding-right: 0rem;
  }
}

@media (min-width: 732px) {
  .padr2 {
    padding-right: 2rem;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*:focus, *:active {
  outline: none !important;
  -webkit-tap-highlight-color: transparent;
}

html, body {
  background: linear-gradient(315deg, #ffffff, #d7e1ec);
}

.tooltip .tooltip-inner {
  color: white;
  background-color: #1DA1F2;
  border-color: #0068a9;
  border-width: 0.5px;
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.2);
  box-shadow: 2px 3px 6px 1px rgba(0, 0, 0, 0.4);
  -webkit-box-shadow: 2px 3px 6px 1px rgba(0, 0, 0, 0.4);
  -moz-box-shadow: 2px 3px 6px 1px rgba(0, 0, 0, 0.4);
  /*box-shadow: 0px 1px 8px 3px rgba(0,0,0,0.2);*/
}

.tooltip.bs-tooltip-right .tooltip-arrow::before {
  border-top-color: #1DA1F2;
}

.tooltip.bs-tooltip-top .tooltip-arrow::before {
  border-top-color: #1DA1F2;
}

.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
  border-bottom-color: #1DA1F2;
}

.tooltip.bs-tooltip-start .tooltip-arrow::before {
  border-left-color: #1DA1F2;
}

.tooltip.bs-tooltip-end .tooltip-arrow::before {
  border-right-color: #1DA1F2;
}

.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before, .bs-tooltip-top .tooltip-arrow::before {
  top: -1px;
  border-top-color: #1DA1F2;
}

.bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before, .bs-tooltip-end .tooltip-arrow::before {
  right: -1px;
  border-right-color: #1DA1F2;
}

.bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before, .bs-tooltip-bottom .tooltip-arrow::before {
  border-bottom-color: #1DA1F2;
}

.tooltip:before {
  position: absolute;
  content: "";
  height: 8px;
  width: 8px;
  bottom: -3px;
  left: 50%;
  -webkit-transform: translate(-50%);
  transform: translate(-50%);
  -moz-transform: translate(-50%);
  transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

input[readonly] {
  cursor: cell;
}

#autocomplete {
  width: auto;
  padding-left: 5px;
  border: 1px solid #ccc;
}

.suggestions {
  /*border: 1px solid #ccc;*/
  border-top: none;
  width: auto;
  max-height: 100%;
  overflow-y: auto;
}

.suggestion {
  padding: 10px;
  cursor: pointer;
  background-color: white;
}

.suggestion:hover {
  background-color: #f0f0f0;
}

.input-group .searchbox {
  width: 100%;
}

.form-loantype {
  padding: .3rem .3rem;
  padding-top: .4rem;
}

.form-control:focus {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: #1DA1F2;
  outline: 0;
  box-shadow: 0 0 0 0.1rem rgba(29,161,242,0.5);
  -webkit-box-shadow: 0 0 0 0.1rem rgba(29,161,242,0.5);
  -moz-box-shadow: 0 0 0 0.1rem rgba(29,161,242,0.5);
}

.calcheaderbtn {
  width: auto;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}

@media (min-width: 732px) {
  .calcheaderbtn {
    justify-content: space-between;
  }
}

div.input-group span.input-group-text {
  padding: 0rem 0rem;
  padding-top: 5px;
  padding-bottom: 2px;
  padding-left: .2rem;
  padding-right: .2rem;
  vertical-align: middle;
  line-height: normal;
  font-weight: bold;
  min-height: 25px;
}

div.input-group span.input-group-text.chck-box {
  padding: 2px 3.2px;
}

div.form-group select.form-select, select.form-select {
  padding: 0rem 0rem;
  padding-top: 5px;
  padding-bottom: 2px;
  padding-left: .3rem;
  padding-right: .3rem;
  vertical-align: middle;
  line-height: normal;
  /*font-weight: bold;*/
}

#TermsPeriod {
  width: auto;
  min-width: 100px;
  font-weight: bold;
}

div.input-group input.form-control {
  padding: .0rem .0rem;
  padding-top: .2rem;
  padding-left: 0.3rem;
  padding-right: 0rem;
  line-height: normal;
  /*height: 29px;*/
  /*font-size: 0.96rem;*/
}

#B4 {
  height: 25px;
}

.col-md-2, .col-md-3, .col-md-6, .col-md-12 {
  padding-top: .5rem;
  padding-bottom: .5rem;
}

mb-3 {
  width: 100%;
}

.tab-cell-heading {
  margin-bottom: 0px;
  line-height: 1;
}

@media (max-width: 680px) {
  div.input-group input.form-control, h6.tab-cell-heading, h6.padr, h6.padr2, thead tr th {
    font-size: 0.96rem;
  }
}

.col-form-label {
  /*padding: .2rem .05rem;*/
  padding-top: 0;
  padding-bottom: 0;
  line-height: normal;
}

.row.cell-tab-lable {
  --bs-gutter-x: 0;
  --bs-gutter-y: 0;
  display: flex;
  flex-wrap: wrap;
  /*margin-top: -.2rem;*/
  /*margin-bottom: -.2rem;*/
  /*margin-right: calc(-.5 * var(--bs-gutter-x));*/
  /*margin-left: calc(-.5 * var(--bs-gutter-x));*/
  margin: 0;
  padding: 0;
}

div.row div.col.rci {
  width: auto;
  margin: auto;
  margin-top: .2rem;
  margin-bottom: 0;
  max-width: 13px;
}

td.tabcalctitle.vrbcd {
  background: rgb(230,180,180);
}

.tabcustomtitle {
  height: auto;
  /*padding: 0;*/
  min-height: 28px;
  height: 28px;
}

.row {
  --bs-gutter-x: 1rem;
  --bs-gutter-y: 0;
  display: flex;
  flex-wrap: wrap;
  margin-top: calc(-1 * var(--bs-gutter-y));
  margin-right: calc(-.4 * var(--bs-gutter-x));
  margin-left: calc(-.4 * var(--bs-gutter-x));
}

#pdfPreviewModal > div > h3, h4 {
  text-align: center;
}

#pdfPreviewModal > div > div > button {
  line-height: 1;
  padding-top: 9px;
  padding-bottom: 6px;
}

tbody > tr > td.tabcalctitle > div.input-group > input.form-control {
  min-height: 25px;
}

.ATTENTION-SECTION {
  background-color: #fff3cd;
  border-color: #ffeeba;
  border-style: inset;
  padding-top: 8px;
}

h4.font-monospace {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

footer > div.wrap > div.home > p {
  margin-bottom: 0;
}

footer > div.wrap > div.home {
  padding-top: 20px;
}

#bt-reset-modal, #savepdf, #sendtoemail, #Calculate {
  line-height: normal;
  padding-top: 6px;
  font-weight: bold;
}

#btnno, #resetAll {
  border-radius: 4px;
}

#btnno, #resetAllfield {
  border-radius: 4px;
}

button {
  display: block;
  line-height: 40px;
  text-decoration: none;
  -webkit-transition: all .35s;
  color: #333;
  /*letter-spacing: 1px;*/
  text-align: center;
  position: relative;
  transition: all .35s;
}

button span {
  position: relative;
  z-index: 2;
}

button#savepdf:hover {
  background-color: #ffffff;
}

button#Calculate:hover {
  background-color: #ffffff;
}

button#savepdf:hover span {
  color: #0d6efd;
}

button#Calculate:hover span {
  color: #0d6efd;
}

button#bt-reset-modal:hover span {
  color: #fc441c;
}

button#bt-reset-modal:hover {
  background-color: #ffffff;
}

button#sendtoemail:hover span {
  color: #198754;
}

button#sendtoemail:hover {
  background-color: #ffffff;
}

button#btnno:hover span {
  color: #198754;
}

button#btnno:hover {
  background-color: #ffffff;
}

#bt-reset-modal {
  border-color: #fc441c;
  background: #fc441c;
}

#resetAll, #resetAllfield {
  padding-bottom: 1px;
  background-color: #fc441c;
  border-color: #fc441c;
  font-weight: bold;
}

button#resetAll:hover span {
  color: #fc441c;
}

button#resetAllfield:hover span {
  color: #fc441c;
}

button#resetAll:hover {
  background-color: #ffffff;
}

button#resetAllfield:hover {
  background-color: #ffffff;
}

button:hover:after {
  width: 100%;
}

#pdfPreviewModal button.btn.btn-primary:after, #pdfPreviewModal button.btn.btn-secondary:after {
  /*background: #ffa1a1;*/
  color: #f7f7f7;
}

#pdfPreviewModal > div > div > button:after {
  color: #000000;
}

button.btn.btn-primary, button.btn.btn-secondary {
  border-radius: 4px;
}

.custom-control-label {
  padding-left: 3px;
}

.wrapper {
  /*display: inline-flex;*/
  list-style: none;
  /*margin-bottom: 2px;*/
  /*margin-right: 3px;*/
  border-radius: 50%;
  /*border-width: 1px;*/
  /*top: -0.5rem;*/
  /*padding-top: 1px;*/
  height: auto;
  flex-wrap: nowrap;
}

.mtool {
  padding-top: 2px;
  margin-bottom: 0px;
  /*margin-top: 2px;*/
  /*margin-left: -1px;*/
  margin-right: 2px;
  padding-left: 0px;
  padding-right: 0px;
  border-radius: 50%;
  /*border-width: 2px;*/
  /*height: 12px;*/
  width: auto;
  /*cursor: help;*/
  line-height: 1;
  transition: all 0.2s ease-out;
  -webkit-transition: all 0.2s ease-out;
  -moz-transition: all 0.2s ease-out;
}

.icon-question {
  /*margin-top: 2px;*/
  -webkit-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.4);
  -moz-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.4);
  /*margin-right: 2px;*/
  /*margin-left: -1px;*/
  max-height: 12px;
  border-width: 0px;
  border-radius: 50%;
  color: #FFFFFF;
  background: #1DA1F2;
  box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.4);
  -webkit-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.4);
  -moz-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.4);
  font-size: 12px;
  cursor: help;
}

.icon-question:hover {
  -webkit-box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.2);
  -moz-box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.2);
  /*margin-top: 2px;*/
  max-height: 12px;
  border-radius: 50%;
  color: #1DA1F2;
  background: #FFFFFF;
  box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.2);
  font-size: 12px;
  font-weight: bold;
}

.files input {
  outline: 2px dashed #1DA1F2;
  -webkit-outline-offset: -5px;
  -moz-outline-offset: -5px;
  outline-offset: -5px;
  -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear, border-radius .2s ease-in-out;
  -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
  transition: outline-offset .15s ease-in-out, background-color .15s linear;
  padding: 15px 0px 35px 10%;
  top: 50%;
  text-align: center !important;
  margin: 0;
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  width: 100% !important;
  cursor: pointer;
}

.files input:focus {
  outline: 2px dashed #6bc7ff;
  -webkit-outline-offset: -5px;
  -moz-outline-offset: -5px;
  outline-offset: -5px;
  -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
  transition: outline-offset .15s ease-in-out, background-color .15s linear;
  border: 1px solid #92b0b3;
}

.files {
  position: relative;
}

#user_file {
  background-color: #eeeeee;
}

.files:before {
  position: absolute;
  bottom: 0px;
  left: 0;
  pointer-events: none;
  width: 100%;
  right: 0;
  height: 30px;
  content: " or Drag & Drop. ";
  display: block;
  margin: 0 auto;
  color: #1DA1F2;
  font-weight: 600;
  /*text-transform: capitalize;*/
  text-align: center;
}

#calculator > div.mb-3 > h4 {
  margin-bottom: 0px;
  padding-top: 20px;
  font-weight: bold;
}

sub, sup {
  position: relative;
  font-size: .75em;
  line-height: 0;
  /*vertical-align: top;*/
  top: -.5em;
}

#pdfPreviewModal > div > div > div > button {
  line-height: 1;
  padding-top: 9px;
  padding-bottom: 6px;
}

#pdfPreviewModal > div > div#pdf_prv_btn > div {
  width: 50%;
  display: inline-flex;
  justify-content: space-around;
}

.page-content {
  min-height: 700px;
}
